# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

Public Member Functions | Private Member Functions | Private Attributes | Static Private Attributes
dirac::InputStreamBuffer Class Reference

Input Stream Buffer Class.

`#include <dirac_cppparser.h>`

List of all members.

## Public Member Functions
| InputStreamBuffer ()
| Constructor.
| ~InputStreamBuffer ()
| Destructor.
std::ios::pos_type | Rewind ()
| Rewind buffer to start of data.
std::ios::pos_type | Seek (std::ios::pos_type bytes, std::ios::seekdir pos=std::ios::cur)
| Seek to position specified by bytes offset from pos.
std::ios::pos_type | Tell ()
| Return the current read position in the buffer.
void | Copy (char *start, int bytes)
| Copy data into buffer.
void | PurgeProcessedData ()
| Delete all processed data from buffer.

## Private Member Functions
| InputStreamBuffer (const InputStreamBuffer &inbuf)
| Private body-less copy constructor.
InputStreamBuffer & | operator= (const InputStreamBuffer &inbuf)
| Private body-less assignment operator.

## Private Attributes
char * | m_chunk_buffer
| Buffere.

## Static Private Attributes
static const int | m_buffer_size = 1232896
| Buffer size.

## Constructor & Destructor Documentation

dirac::InputStreamBuffer::InputStreamBuffer | ( |  | ) |

dirac::InputStreamBuffer::~InputStreamBuffer | ( |  | ) |

dirac::InputStreamBuffer::InputStreamBuffer | ( | const InputStreamBuffer & | inbuf | ) |
| private

## Member Function Documentation

void dirac::InputStreamBuffer::Copy | ( | char * | start,
|  | int | bytes
| ) |  |

Copy take

Parameters:

  start | memory area start
  bytes | number of bytes to copy starting from start

InputStreamBuffer& dirac::InputStreamBuffer::operator= | ( | const InputStreamBuffer & | inbuf | ) |
| private

void dirac::InputStreamBuffer::PurgeProcessedData | ( |  | ) |

std::ios::pos_type dirac::InputStreamBuffer::Rewind | ( |  | ) |

std::ios::pos_type dirac::InputStreamBuffer::Seek | ( | std::ios::pos_type | bytes,
|  | std::ios::seekdir | pos = `std::ios::cur`
| ) |  |

Seek takes

Parameters:

  bytes | offset in bytes
  pos | the position from which the offset is applied

std::ios::pos_type dirac::InputStreamBuffer::Tell | ( |  | ) |

## Member Data Documentation

const int dirac::InputStreamBuffer::m_buffer_size = 1232896
| static private

char* dirac::InputStreamBuffer::m_chunk_buffer
| private

The documentation for this class was generated from the following file:

- dirac_cppparser.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.